Users

Get current user profile

get
/profile/
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

User profile

application/json
idintegerOptional
emailstring · emailOptional
namestringOptional
profile_picstring · nullableOptional

URL of profile picture

get
/profile/

Update profile

put
/profile/
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringOptional
profile_picstring · binaryOptional
Responses
chevron-right
200

Updated user profile

application/json
idintegerOptional
emailstring · emailOptional
namestringOptional
profile_picstring · nullableOptional

URL of profile picture

put
/profile/

Get personal info

get
/personal-info/
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200

Personal info

application/json
date_of_birthstring · date · nullableOptional
goalsstring · nullableOptional
therapy_focusstring · nullableOptional
addiction_typestring · nullableOptional
moodstring · nullableOptional
contact_numberstring · nullableOptional
get
/personal-info/

Set or update personal info

put
/personal-info/
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
date_of_birthstring · date · nullableOptional
goalsstring · nullableOptional
therapy_focusstring · nullableOptional
addiction_typestring · nullableOptional
moodstring · nullableOptional
contact_numberstring · nullableOptional
Responses
chevron-right
200

Updated personal info

application/json
date_of_birthstring · date · nullableOptional
goalsstring · nullableOptional
therapy_focusstring · nullableOptional
addiction_typestring · nullableOptional
moodstring · nullableOptional
contact_numberstring · nullableOptional
put
/personal-info/

Partial update of personal info

patch
/personal-info/
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
date_of_birthstring · date · nullableOptional
goalsstring · nullableOptional
therapy_focusstring · nullableOptional
addiction_typestring · nullableOptional
moodstring · nullableOptional
contact_numberstring · nullableOptional
Responses
chevron-right
200

Updated personal info

application/json
date_of_birthstring · date · nullableOptional
goalsstring · nullableOptional
therapy_focusstring · nullableOptional
addiction_typestring · nullableOptional
moodstring · nullableOptional
contact_numberstring · nullableOptional
patch
/personal-info/

Last updated